## univention-user-group-sync-source 4.0.0-1

=== debian/changelog ===
univention-user-group-sync-source (4.0.0-1) unstable; urgency=low

  * Version Bump for UCS52

 -- Jonas Einnolf <einnolf@univention.de>  Thu, 03 Jul 2025 12:42:29 +0200

univention-user-group-sync-source (3.0.0-1) unstable; urgency=medium

  * Update for UCS5

 -- Julian Helms <helms@univention.de>  Wed, 08 Jun 2022 16:27:05 +0200

univention-user-group-sync-source (2.1.0-27) unstable; urgency=medium

  * Re-Add user to his previous groups, if sync is reenabled #26041

 -- Valentin Heidelberger <heidelberger@univention.de>  Tue, 07 Jul 2020 10:55:03 +0200

univention-user-group-sync-source (2.1.0-26) unstable; urgency=medium

  * Add all newly activated objects

 -- Valentin Heidelberger <heidelberger@univention.de>  Fri, 03 Apr 2020 17:17:39 +0200

univention-user-group-sync-source (2.1.0-25) unstable; urgency=medium

  * Wait for listener to notice that module import was successful

 -- Valentin Heidelberger <heidelberger@univention.de>  Wed, 25 Mar 2020 16:33:01 +0100

univention-user-group-sync-source (2.1.0-24) unstable; urgency=medium

  * Use binddn and bindpwdfile in joinscripts
  * Add unjoinscript for add-ucs-sync
  * Add joinscript api markers

 -- Valentin Heidelberger <heidelberger@univention.de>  Mon, 23 Mar 2020 12:22:10 +0100

univention-user-group-sync-source (2.1.0-23) unstable; urgency=medium

  * Restart listener for all relevant UCR vars
  * Remove UDL resync workaround

 -- Valentin Heidelberger <heidelberger@univention.de>  Tue, 25 Feb 2020 15:42:41 +0100

univention-user-group-sync-source (2.1.0-22) unstable; urgency=medium

  * Add ucr var to remove objects on dest if univentionUserGroupSyncEnabled was deactivated

 -- Valentin Heidelberger <heidelberger@univention.de>  Wed, 19 Feb 2020 13:16:50 +0100

univention-user-group-sync-source (2.1.0-21) unstable; urgency=medium

  * Add univentionSAMLEnabled to default whitelist

 -- Valentin Heidelberger <heidelberger@univention.de>  Tue, 18 Feb 2020 14:52:09 +0100

univention-user-group-sync-source (2.1.0-20) unstable; urgency=medium

  * Wait for sync user to be present in local passwd after creation via UDM

 -- Valentin Heidelberger <heidelberger@univention.de>  Wed, 12 Feb 2020 15:22:17 +0100

univention-user-group-sync-source (2.1.0-19) unstable; urgency=medium

  * Add whitelist mechanism for attributes and object classes
  * Also generate file with modify operation in resync to make sure changes get synced if dest was stuck

 -- Valentin Heidelberger <heidelberger@univention.de>  Thu, 06 Feb 2020 12:33:15 +0100

univention-user-group-sync-source (2.1.0-18) unstable; urgency=medium

  * Customer feedback:
    * Move sync user creation to joinscript
  * Add dependencies

 -- Valentin Heidelberger <heidelberger@univention.de>  Mon, 20 Jan 2020 11:09:08 +0100

univention-user-group-sync-source (2.1.0-17) unstable; urgency=medium

  * Customer feedback:
    * Use bash in synchronize
    * Absolute path for rsync

 -- Valentin Heidelberger <heidelberger@univention.de>  Fri, 06 Dec 2019 11:34:46 +0100

univention-user-group-sync-source (2.1.0-16) unstable; urgency=low

  * Version bump

 -- Timo Hollwedel <hollwedel@univention.de>  Fri, 29 Nov 2019 10:22:53 +0100

univention-user-group-sync-source (2.1.0-15) unstable; urgency=medium

  * Rename UCR variable
  * Specify allowed characters for prefix
  * Issue #22646

 -- Valentin Heidelberger <heidelberger@univention.de>  Thu, 17 Oct 2019 13:32:19 +0200

univention-user-group-sync-source (2.1.0-14) unstable; urgency=medium

  * Fix regex for group CNs
  * Enhance comments
  * Issue #22646

 -- Valentin Heidelberger <heidelberger@univention.de>  Wed, 16 Oct 2019 15:48:34 +0200

univention-user-group-sync-source (2.1.0-13) unstable; urgency=medium

  * Add user/group name prefix mechanism
  * Add ucslint
  * Issue #22646

 -- Valentin Heidelberger <heidelberger@univention.de>  Mon, 14 Oct 2019 14:01:35 +0200

univention-user-group-sync-source (2.1.0-12) unstable; urgency=medium

  * Wait 10 seconds before resync to allow ssh transmission to continue
  * Set time for resync cronjob also if it was changed
  * Issue #15608

 -- Valentin Heidelberger <heidelberger@univention.de>  Thu, 11 Jul 2019 13:53:08 +0200

univention-user-group-sync-source (2.1.0-11) unstable; urgency=medium

  * Don't check for object classes to be removed if the object doesn't have any
  * Replace hook resync mechanism with cronjob
  * Issue #15608

 -- Valentin Heidelberger <heidelberger@univention.de>  Thu, 11 Jul 2019 10:36:39 +0200

univention-user-group-sync-source (2.1.0-10) unstable; urgency=medium

  * Remove objectClasses and attributes specified via UCR
  * Issue #15608

 -- Valentin Heidelberger <heidelberger@univention.de>  Thu, 06 Jun 2019 10:16:02 +0200

univention-user-group-sync-source (2.1.0-9) unstable; urgency=medium

  * Add univentionUserGroupSyncEnabled to users/ldap module
  * Don't overwrite cron/ldap-sync-src/time if it's already set
  * Issue #15608

 -- Valentin Heidelberger <heidelberger@univention.de>  Wed, 29 May 2019 15:00:41 +0200

univention-user-group-sync-source (2.1.0-8) unstable; urgency=medium

  * Enhance comment
  * Issue #15608

 -- Valentin Heidelberger <heidelberger@univention.de>  Mon, 27 May 2019 14:22:53 +0200

univention-user-group-sync-source (2.1.0-7) unstable; urgency=medium

  * Fix moving of objects in the LDAP tree on destination system with active custom filter on source
  * Remove obsolete Pre-Depends on debconf
  * Issue #15608

 -- Valentin Heidelberger <heidelberger@univention.de>  Fri, 24 May 2019 16:54:11 +0200

univention-user-group-sync-source (2.1.0-6) unstable; urgency=medium

  * Add UDM hook to resync univention_user_group_sync_source_generate when univentionUserGroupSyncEnabled is set
  * Remove univentionUserGroupSyncEnabled and univentionUserGroupSync before writing objects to pickle files
  * Fix handling of custom filter
  * Issue #15608

 -- Valentin Heidelberger <heidelberger@univention.de>  Wed, 15 May 2019 19:43:09 +0200


