=== debian/control ===
Source: univention-user-group-sync-source
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper-compat (= 12),
 ucslint,
 univention-config-dev,
Standards-Version: 3.5.5

Package: univention-user-group-sync-source
Architecture: all
Depends: ${misc:Depends}, pwgen, rsync
Description: store user and group information to be transferred
 This package contains a listener module that stores user and group information
 to be transferred to another system.

Package: univention-user-group-sync-source-schema
Architecture: all
Depends: ${misc:Depends}
Description: manually select users and groups to be synchronized
 This package contains a LDAP schema for a boolean attribute to manually select
 users and groups for synchronization.
